 o nci-get-assignment-grades is inefficient, since it is possible to
   acquire all grades in one network pull. Rewrite it.

 o Document return values in manual

 o nci-course-settings needs a -P option to set the front page
   contents. It should go something like:

    - Check to see if there's a page called "Main". Update/create it.

    - Set "Main" to be the front page of the wiki.

    - In the update procedure, send 'course[default_view]=wiki' to
      '/api/v1/courses/$id'
